> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of webhook instances

> Returns a list of webhook instances (active/inactive) for your account



## OpenAPI

````yaml get /webhooks
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: Get list of webhook instances
      description: Returns a list of webhook instances (active/inactive) for your account
      operationId: webhooks_get_webhooks
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/Status'
              - type: 'null'
            title: Status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookInstanceGetItem'
                title: Response Webhooks Get Webhooks
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Status:
      type: string
      enum:
        - active
        - inactive
      title: Status
    WebhookInstanceGetItem:
      properties:
        webhookid:
          type: string
          format: uuid
          title: Webhookid
        accountid:
          type: string
          format: uuid
          title: Accountid
        createdby:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Createdby
        createdon:
          type: string
          format: date-time
          title: Createdon
        event:
          type: string
          title: Event
        url:
          type: string
          title: Url
        status:
          $ref: '#/components/schemas/Status'
        integrationid:
          anyOf:
            - type: integer
            - type: 'null'
          title: Integrationid
      type: object
      required:
        - webhookid
        - accountid
        - createdon
        - event
        - url
        - status
      title: WebhookInstanceGetItem
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````